#ifdef GL_ES
precision lowp float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform sampler2D u_texture;
uniform float u_interpolation;
//uniform float u_oneMinusInterpolation;
uniform vec4 u_colorMult;

void main()
{
    // Black & White
    vec4 color = texture2D(u_texture, v_texCoord);
    float luminance = dot(color.rgb, u_colorMult.rgb);
    gl_FragColor = vec4(v_fragmentColor.rgb * mix(color.rgb, vec3(luminance), u_interpolation), color.a);
}
